Update Product List Lines
POST/api/v2/public/stores/{store_number}/productlists/{id}
Adds or updates lines on an existing product list, using the list id. Each line has a product, a stock pool and a quantity.
Update Product List Lines
curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/productlists/$ID \
-X POST \
-H "Authorization: $COLLEQTIVE_BEARER_TOKEN"{
"code": 0,
"data": "data",
"message": "message",
"status": "status"
}{
"code": 401,
"status": "error",
"message": "Authentication failed.",
"error": "unauthorized",
"error_description": "Authentication failed."
}{
"code": 500,
"status": "fail",
"message": "The request could not be processed.",
"error": "internal_error",
"error_description": "The request could not be processed."
}Returns Examples
{
"code": 0,
"data": "data",
"message": "message",
"status": "status"
}{
"code": 401,
"status": "error",
"message": "Authentication failed.",
"error": "unauthorized",
"error_description": "Authentication failed."
}{
"code": 500,
"status": "fail",
"message": "The request could not be processed.",
"error": "internal_error",
"error_description": "The request could not be processed."
}